wai-app-static-3.1.6.1: WAI application for static serving

Safe Haskell | None
Language | Haskell98

WaiAppStatic.CmdLine

Description

Command line version of wai-app-static, used for the warp-static server.

Synopsis

- runCommandLine :: (Args -> Middleware) -> IO ()
- data Args = Args {
  - docroot :: FilePath
  - index :: [FilePath]
  - port :: Int
  - noindex :: Bool
  - quiet :: Bool
  - verbose :: Bool
  - mime :: [(String, String)]
  - host :: String
  }

# Documentation

runCommandLine :: (Args -> Middleware) -> IO () #

Run with the given middleware and parsing options from the command line.

Since 2.0.1

data Args #

Constructors

Args |
Fields docroot :: FilePath index :: [FilePath] port :: Int noindex :: Bool quiet :: Bool verbose :: Bool mime :: [(String, String)] host :: String